Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

I have FW 1.6.80, but aircraft claims 1.2.40+

Discussion in 'Standard/4k Discussion' started by toegema, Aug 13, 2016.

  1. toegema

    Joined:
    Mar 10, 2016
    Messages:
    202
    Likes Received:
    41
    Can anyone explain?
    I have upgraded every new FW since I bought the drone this year. It started with FW 1.2.40 which was out of the box.
    I am now on 1.6.80 (I have also successfully applied the CE to FCC wifi signal strengh patch).
    But since the last few times I look in the About section in the DJI Go App it says: Version 1.2.40+
    I know for sure that I upgraded to 1.6.80. I have also seen it in the same About screen.
    So why all of a sudden this?

    (I have formatted the SD card for recording many times, so nothing to see there I guess)...
     
  2. Harry650

    Joined:
    Apr 13, 2016
    Messages:
    33
    Likes Received:
    2
    Location:
    Gloucestershire UK
    Hi Have you seen much improvement with FCC patch? could the patch be responsible.
     
  3. toegema

    Joined:
    Mar 10, 2016
    Messages:
    202
    Likes Received:
    41
    It was like this also before the patch. I just applied the patch. Havent flown yet. Raining now.